Model dialog with rte in EJ2 JavaScript Dialog control

8 May 20233 minutes to read

This section explains how to render model dialog with the Rich Text Editor component. when you render model dialog with the Rich Text Editor component, the first row of the content will be hidden because the dialog container and its wrapper elements are styled with display as none. so, the editor’s toolbar does not get proper offset width and rendered above the edit area container. In this scenario, we could use the refreshUI method on the Dialog open event.

ej.base.enableRipple(true);

// Initialize Dialog component
var dialog = new ej.popups.Dialog({
    // Enables modal dialog
    isModal:true,
    // overlayClick event handler
    overlayClick: onOverlayClick,
    // Dialog content
    content: document.getElementById("defaultRTE"),
    // The Dialog shows within the target element
    target: document.getElementById("container"),
    // Dialog width
    width: '500px',
    open: dlgopen
});
// Render initialized Dialog
dialog.appendTo('#dialog');

// Sample level code to handle the button click action
document.getElementById('targetButton').onclick = function() {
    // Call the show method to open the Dialog
    dialog.show();
}

// Sample level code to hide the Dialog when click the Dialog overlay
function onOverlayClick() {
    dialog.hide();
}
function dlgopen() {
    defaultRTE.refreshUI();
}
var defaultRTE = new ej.richtexteditor.RichTextEditor({

});

// render initialized Rich Text Editor
defaultRTE.appendTo("#defaultRTE");
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Modal Dialog</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript UI Components">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/bootstrap4.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/ej2-base/styles/material.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/ej2-popups/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/25.1.35/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <button class="e-control e-btn" id="targetButton" role="button" e-ripple="true" style="position: absolute;">Open Modal Dialog</button>
        <div id="dialog">
          <div id="defaultRTE"></div>
        </div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Model dialog with rte in Angular Dialog component

27 Sep 20234 minutes to read

This section explains how to render model dialog with the Rich Text Editor component. when you render model dialog with the Rich Text Editor component, the first row of the content will be hidden because the dialog container and its wrapper elements are styled with display as none. so, the editor’s toolbar does not get proper offset width and rendered above the edit area container. In this scenario, we could use the refreshUI method on the Dialog open event.

import { Component, ViewChild, OnInit, ElementRef } from '@angular/core';
import { DialogComponent } from '@syncfusion/ej2-angular-popups';
import { EmitType } from '@syncfusion/ej2-base';
import { ToolbarService, LinkService, ImageService, HtmlEditorService, RichTextEditorComponent , NodeSelection } from '@syncfusion/ej2-angular-richtexteditor';
@Component({
    selector: 'app-root',
    template: `
    <button class="e-control e-btn" style="position: absolute;" id="targetButton" (click)="onOpenDialog($event)">Open Modal Dialog</button>
    <div #container class='root-container'></div>
    <ejs-dialog id='dialog' #ejDialog isModal='true' (overlayClick)="onOverlayClick()" (open)="dlgopen()" content='This is a modal dialog' [target]='targetElement' width='250px'>
    <ng-template #content>
   <ejs-richtexteditor id='defaultRTE'#sample>
   <ng-template #valueTemplate>
      <p>The rich text editor component is WYSIWYG ("what you see is what you get") editor that provides the best user experience to create and update the content. Users can format their content using standard toolbar commands.</p>
     <p><b>Key features:</b></p>
         <ul>
         <li> <p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes</p> </li>
         <li> <p>Capable of handling markdown editing.</p> </li>
         <li> <p>Contains a modular library to load the necessary functionality on demand.</p> </li></ul>
    </ng-template>
    </ejs-richtexteditor>
    </ng-template>
    </ejs-dialog>`
})

export class AppComponent implements OnInit {
  @ViewChild('ejDialog') ejDialog: DialogComponent |any;
  // The Dialog shows within the target element.
  @ViewChild('container', { read: ElementRef }) container: ElementRef |any;
  @ViewChild('sample') public rteObj?: RichTextEditorComponent;
  // The Dialog shows within the target element.
  public targetElement?: HTMLElement;

  // To get all element of the dialog component after component get initialized.
  ngOnInit() {
    this.initilaizeTarget();
  }

  // Initialize the Dialog component target element.
  public initilaizeTarget: EmitType<object> = () => {
    this.targetElement = this.container.nativeElement.parentElement;
  }
  // Sample level code to handle the button click action
  public onOpenDialog = (event: any): void => {
      // Call the show method to open the Dialog
      this.ejDialog.show();
  };
  // Sample level code to hide the Dialog when click the Dialog overlay
  public onOverlayClick: EmitType<object> = () => {
      this.ejDialog.hide();
  }
  public dlgopen: EmitType<object> = () => {
      this.rteObj!.refreshUI();
  }
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import { DialogModule } from '@syncfusion/ej2-angular-popups';
import { RichTextEditorAllModule } from '@syncfusion/ej2-angular-richtexteditor';
/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
		DialogModule,RichTextEditorAllModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

import 'zone.js';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Model dialog with rte in React Dialog component

18 Jan 202315 minutes to read

This section explains how to render model dialog with the Rich Text Editor component. when you render model dialog with the Rich Text Editor component, the first row of the content will be hidden because the dialog container and its wrapper elements are styled with display as none. so, the editor’s toolbar does not get proper offset width and rendered above the edit area container. In this scenario, we could use the refreshUI method on the Dialog open event.

import { DialogComponent } from "@syncfusion/ej2-react-popups";
import { RichTextEditorComponent, HtmlEditor, Toolbar, Image, Inject, Link, QuickToolbar } from "@syncfusion/ej2-react-richtexteditor";
import * as React from "react";
class App extends React.Component {
    constructor(props) {
        super(props);
        this.onOverlayClick = () => {
            this.setState({ hideDialog: false });
        };
        this.dlgopen = () => {
            this.rteObj.refreshUI();
        };
        this.dialogClose = () => {
            this.setState({ hideDialog: false });
        };
        this.state = {
            hideDialog: true
        };
    }
    handleClick() {
        this.setState({ hideDialog: true });
    }
    render() {
        return (<div className="App" id="dialog-target">
        <button className="e-control e-btn" id="targetButton1" role="button" onClick={(this.handleClick = this.handleClick.bind(this))}> Open </button>
        <DialogComponent width="350px" isModal={true} visible={this.state.hideDialog} close={this.dialogClose} overlayClick={this.onOverlayClick} open={this.dlgopen}>
          <RichTextEditorComponent id="defaultRTE" ref={richtexteditor => { this.rteObj = richtexteditor; }}>
            <p>
              The rich text editor component is WYSIWYG ("what you see is what you get") editor that provides the best user experience to create and update the content. Users can format their content using standard toolbar commands.</p>
            <p>
              <b>Key features:</b>
            </p>
            <ul>
              <li>
                <p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes</p>
              </li>
              <li>
                <p>Capable of handling markdown editing.</p>
              </li>
              <li>
                <p>
                  Contains a modular library to load the necessary functionality
                  on demand.
                </p>
              </li>
              <li>
                <p>Provides a fully customizable toolbar.</p>
              </li>
              <li>
                <p>
                  Provides HTML view to edit the source directly for developers.
                </p>
              </li>
              <li>
                <p>Supports third-party library integration.</p>
              </li>
              <li>
                <p>Allows preview of modified content before saving it.</p>
              </li>
              <li>
                <p>
                  Handles images, hyperlinks, video, hyperlinks, uploads, etc.
                </p>
              </li>
              <li>
                <p>Contains undo/redo manager.</p>
              </li>
              <li>
                <p>Creates bulleted and numbered lists.</p>
              </li>
            </ul>
            <Inject services={[HtmlEditor, Toolbar, Image, Link, QuickToolbar]}/>
          </RichTextEditorComponent>
        </DialogComponent>
      </div>);
    }
}
export default App;
import { DialogComponent } from "@syncfusion/ej2-react-popups";
import {
  RichTextEditorComponent,
  HtmlEditor,
  Toolbar,
  Image,
  Inject,
  Link,
  QuickToolbar
} from "@syncfusion/ej2-react-richtexteditor";
import * as React from "react";

class App extends React.Component {
  constructor(props) {
    super(props);
    this.onOverlayClick = () => {
      this.setState({ hideDialog: false });
    };
    this.dlgopen = () => {
this.rteObj.refreshUI();
    };
    this.dialogClose = () => {
      this.setState({ hideDialog: false });
    };
    this.state = {
      hideDialog: true
    };
  }
  handleClick() {
    this.setState({ hideDialog: true });
  }
   public render() {
    return (
      <div className="App" id="dialog-target">
        <button className="e-control e-btn" id="targetButton1" role="button" onClick={(this.handleClick= this.handleClick.bind(this))}> Open </button>
        <DialogComponent width="350px" isModal={true} visible={this.state.hideDialog}
          close={this.dialogClose} overlayClick={this.onOverlayClick} open={this.dlgopen}>
          <RichTextEditorComponent id="defaultRTE" ref={richtexteditor => {this.rteObj = richtexteditor;}}>
            <p>
              The rich text editor component is WYSIWYG ("what you see is what you get") editor that provides the best user experience to create and update the content. Users can format their content using standard toolbar commands.</p>
            <p>
              <b>Key features:</b>
            </p>
            <ul>
              <li>
                <p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes</p>
              </li>
              <li>
                <p>Capable of handling markdown editing.</p>
              </li>
              <li>
                <p>
                  Contains a modular library to load the necessary functionality
                  on demand.
                </p>
              </li>
              <li>
                <p>Provides a fully customizable toolbar.</p>
              </li>
              <li>
                <p>
                  Provides HTML view to edit the source directly for developers.
                </p>
              </li>
              <li>
                <p>Supports third-party library integration.</p>
              </li>
              <li>
                <p>Allows preview of modified content before saving it.</p>
              </li>
              <li>
                <p>
                  Handles images, hyperlinks, video, hyperlinks, uploads, etc.
                </p>
              </li>
              <li>
                <p>Contains undo/redo manager.</p>
              </li>
              <li>
                <p>Creates bulleted and numbered lists.</p>
              </li>
            </ul>
            <Inject
              services={[HtmlEditor, Toolbar, Image, Link, QuickToolbar]}
            />
          </RichTextEditorComponent>
        </DialogComponent>
      </div>
    );
  }
}

export default App;